<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="64dp"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <de.hdodenhof.circleimageview.CircleImageView
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginStart="16dp"
        android:id="@+id/ivAvatar"
        android:layout_width="50dp"
        android:layout_height="50dp"/>

    <com.swago.baseswago.cusview.MediumTextView
        android:id="@+id/tvName"
        app:layout_constraintStart_toEndOf="@+id/ivAvatar"
        android:layout_marginStart="8dp"
        android:layout_marginTop="4dp"
        android:textSize="18dp"
        android:textColor="#fff"
        tools:text="Chridfsfdsfdfs"
        android:maxLines="1"
        android:maxWidth="150dp"
        app:layout_constraintTop_toTopOf="@+id/ivAvatar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.swago.baseswago.cusview.SwagoLevelView
        android:id="@+id/tvLevel"
        android:layout_marginStart="8dp"
        app:layout_constraintStart_toEndOf="@+id/ivAvatar"
        app:layout_constraintBottom_toBottomOf="@+id/ivAvatar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <ImageView
        android:id="@+id/ivBenefit"
        android:src="@mipmap/vip"
        android:layout_marginStart="5dp"
        android:visibility="gone"
        tools:visibility="visible"
        app:layout_constraintTop_toTopOf="@+id/tvLevel"
        app:layout_constraintBottom_toBottomOf="@+id/tvLevel"
        app:layout_constraintStart_toEndOf="@+id/tvLevel"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <ImageView
        android:id="@+id/ivCrown"
        android:src="@mipmap/icon_crown"
        android:visibility="gone"
        tools:visibility="visible"
        app:layout_constraintBottom_toBottomOf="@+id/tvLevel"
        app:layout_constraintTop_toTopOf="@+id/tvLevel"
        app:layout_constraintStart_toEndOf="@+id/ivBenefit"
        app:layout_constraintEnd_toStartOf="@+id/ivCup"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <ImageView
        android:id="@+id/ivCup"
        android:src="@mipmap/icon_cup"
        android:visibility="gone"
        tools:visibility="visible"
        app:layout_constraintBottom_toBottomOf="@+id/tvLevel"
        app:layout_constraintTop_toTopOf="@+id/tvLevel"
        app:layout_constraintStart_toEndOf="@+id/ivCrown"
        app:layout_constraintEnd_toStartOf="@+id/tvAgent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <ImageView
        android:id="@+id/tvAgent"
        android:src="@mipmap/icon_agent"
        android:layout_marginStart="5dp"
        android:visibility="gone"
        tools:visibility="visible"
        app:layout_constraintBottom_toBottomOf="@+id/tvLevel"
        app:layout_constraintTop_toTopOf="@+id/tvLevel"
        app:layout_constraintStart_toEndOf="@+id/ivBenefit"
        app:layout_constraintEnd_toStartOf="@+id/tvOfficial"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <TextView
        android:id="@+id/tvOfficial"
        android:textSize="10dp"
        android:text="@string/official"
        android:textColor="#fff"
        android:paddingStart="16dp"
        android:paddingEnd="5dp"
        android:layout_marginStart="5dp"
        android:visibility="gone"
        tools:visibility="visible"
        android:background="@mipmap/icon_official_bg"
        app:layout_constraintBottom_toBottomOf="@+id/tvLevel"
        app:layout_constraintTop_toTopOf="@+id/tvLevel"
        app:layout_constraintStart_toEndOf="@+id/tvAgent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


</androidx.constraintlayout.widget.ConstraintLayout>